Skip to main content

Spot Market Analytics

Comprehensive spot market data including coin/pair rankings, orderbook analytics, taker buy/sell volume, CVD, and netflow.

Market Data

GET /v1/spot/supported-coins

List all coins with spot market data available.
curl "https://api.crypton.dev/v1/spot/supported-coins"

GET /v1/spot/coins-markets

Spot market data aggregated by coin.
symbol
string
Filter by symbol
exchange
string
Filter by exchange
limit
integer
default:"50"
Max results
curl "https://api.crypton.dev/v1/spot/coins-markets?limit=20"

GET /v1/spot/pairs-markets

Spot market data by trading pair.
symbol
string
Filter by symbol
exchange
string
Filter by exchange
limit
integer
default:"50"
Max results
curl "https://api.crypton.dev/v1/spot/pairs-markets?symbol=BTC"

GET /v1/spot/volume

Top spot pairs by 24h volume.
limit
integer
default:"50"
Max results
exchange
string
Filter by exchange
curl "https://api.crypton.dev/v1/spot/volume?limit=10"

Orderbook

GET /v1/spot/orderbook/aggregated

Aggregated spot orderbook across exchanges.
symbol
string
required
Symbol
exchange
string
Filter by exchange
curl "https://api.crypton.dev/v1/spot/orderbook/aggregated?symbol=BTC"

GET /v1/spot/orderbook/history

Historical orderbook depth snapshots.
symbol
string
required
Symbol
exchange
string
Exchange
interval
string
default:"1h"
Interval
limit
integer
default:"50"
Data points
curl "https://api.crypton.dev/v1/spot/orderbook/history?symbol=BTC&interval=1h&limit=24"

GET /v1/spot/large-orders

Detect large resting orders in spot orderbooks.
symbol
string
required
Symbol
curl "https://api.crypton.dev/v1/spot/large-orders?symbol=BTC"

Taker Volume & CVD

GET /v1/spot/taker-buysell/history

Spot taker buy vs sell volume history.
symbol
string
Symbol
interval
string
default:"1h"
Interval
limit
integer
default:"100"
Data points
curl "https://api.crypton.dev/v1/spot/taker-buysell/history?symbol=BTC&interval=1h"

GET /v1/spot/cvd/history

Spot cumulative volume delta history.
symbol
string
Symbol
interval
string
default:"1h"
Interval
limit
integer
default:"100"
Data points
curl "https://api.crypton.dev/v1/spot/cvd/history?symbol=BTC"

GET /v1/spot/netflow

Net flow of spot coins — exchange inflows vs outflows.
symbol
string
Symbol
limit
integer
default:"50"
Data points
curl "https://api.crypton.dev/v1/spot/netflow?symbol=BTC"